/****************************************************************************/
/*      Motorola Time Processor Unit microcode assembler                    */
/****************************************************************************/
/*                                                                          */
/*      Copyright 1998, (c) by Josef Wolf <jw@raven.inka.de>                */
/*                                                                          */
/*      This file is under the GNU General Public License.                  */
/*      See LICENSE for details.                                            */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/*      This creates the C interface header file.                           */
/*                                                                          */
/****************************************************************************/

/* create an entry for an interface definition of a function.
 */
void cif_func (char *name, int funcnr);

/* create an entry for an interface definition of a HSR
 */
void cif_entry (int funcnr, char *name, Bool hsr0, Bool hsr1);

/* create an entry for an interface definition.
 */
void cif_macro (char *name, char *val, char *comment);


void cif_memend (int end);	/* Define the end of TPU-memory */
void cif_touch_pc (int pc);	/* mark memory location as used */
void cif_touch_ent (int ent);	/* mark etnry location as used */


/* Do some initializations. Call this first!
 */
void cif_init (char *progname);

/* Flush the collected information. This is used to create the file after
 * processing has been done
 */
void cif_flush (char *srcnam, FILE *fp);
