/****************************************************************************/
/*			  Motorola Time Processor Unit microcode assembler 				*/
/****************************************************************************/
/*																			*/
/*	Copyright 1998, (c) Bendor Research Pty. Ltd.							*/
/*																			*/
/*	This file is under the GNU General Public License.						*/
/*	See LICENSE for details.												*/
/*																			*/
/****************************************************************************/
/*																			*/
/*	This file contains the error messages used by the assembler.			*/
/*																			*/
/****************************************************************************/
/*																			*/
/*	Changelog:																*/
/*																			*/
/*	30/04/98	Zoltan Kocsi	Alpha version								*/
/*																			*/
/****************************************************************************/

#ifndef	__ERRORS_H__
#define	__ERRORS_H__

#ifdef	ENGLISH

#define	E_MEMTEN	"entry"
#define	E_MEMTIN	"instruction"
#define	E_LINETX	" in file %s, line %d\n"
#define	E_MACRTX	" in macro %s\n"
#define	E_INCLTX	"included"
#define	E_INVOTX	"invoced"

#define	E_OUTMEM	elin, "Out of memory"
#define	E_ORGLAB	elin, "ORG label %s has no value yet"
#define	E_UNDMAC	elin, "Undefined macro %s"
#define	E_UNDSYM	elin, "Undefined symbol %s"
#define	E_MEMADR	elin, "Memory address is out of range"
#define	E_BCCVAL	elin, "Branch condition value must be 1 or 0" 
#define	E_MERSRC	elin, "The read_mer subinstruction requires A source to be #0"
#define	E_IMMDAT	elin, "Immediate data must be between 0 and 255"
#define	E_CSTRNG	elin, "Only %d is allowed in this context"
#define	E_CSTSET	elin, "Only 0, 1, 0xffff, 0x8000 or max is allowed"
#define	E_CSTBOL	elin, "Start condition value must be 0 or 1"
#define	E_INSFRM	elin, "Already deduced insn format excludes field %s"
#define	E_FLDSET	elin, "Field %s is already set"
#define	E_INTERN	elin, "Assembler internal error"
#define	E_MULMAC	elin, "Macro %s is already defined"
#define	E_ORGVAL	elin, "ORG value 0x%x is out of [0,%d] range"
#define	E_ORGBCK	elin, "ORG value 0x%x sets uPC (0x%03x) backwards"
#define	E_MEMTYP	elin, "Memory size is already set to %d words"
#define	E_MEMUNS	elin, "Memory size is not yet set"
#define	E_ENFUNC	elin, "Entry function value is not set and no default is in effect"
#define	E_ENADDR	elin, "Entry start address not specified"
#define	E_ENHSRX	elin, "HSRx conditions must be set for entries"
#define	E_MEMFUL	elin, "Memory address 0x%03x is already occupied by an %s"
#define	E_LSRIGN	elin, "In these host control states the LSR condition is ignored"
#define	E_MTSIGN	elin, "In these host control states the M/TSR condition is ignored"
#define	E_PINIGN	elin, "In these host control states the PIN condition is ignored"
#define	E_FLGIGN	elin, "In these host control states the FLAG0 condition is ignored"
#define	E_EFUNNO	elin, "Function numbers must be between 0 and 15"
#define	E_EFUNST	elin, "Entry function is already defined"
#define	E_ESTRTM	elin, "Entry start address is already defined"
#define	E_EINVST	elin, "Entry start address 0x%x is out of [0,0x%03x] range"
#define	E_EMENAM	elin, "Match control was already set in this entry"
#define	E_EFLDST	elin, "The %s start condition field was already set"
#define	E_ERAMSM	elin, "Entry's parameter preload was already specified"
#define	E_MULINC	elin, "File %s has already been included"
#define	E_MAXUPC	elin, "Current uPC value of 0x%03x exceeds the maximum 0x%03x"
#define	E_MULSYM	elin, "Label %s is already defined: %d"
#define	E_FOPENE	elin, "Can't open file %s"
#define	E_BUSCON	elin, "Bus contention caused by insn generated from %s, line %d"
#define	E_AURDMR	elin, "The given combination of operands forbids the read_mer option" 
#define	E_PARSER	elin, "Parser error: %s"
#define	E_EOFCOM	elin, "End of file in a comment"
#define	E_PARMT1	elin, "On TPU1 on channel %d parameter %d accesses parameter 0"
#define	E_INVENT	elin, "At least one of HSRx, LSR and M/TSR conditions must be 1"
#define	E_RECMAC	elin, "Recursive macro call: %s"
#define	E_SHRCNF	elin, "Shift is specified while SR is the ALU destination"

#endif

#ifdef	HUNGARIAN

#define	E_MEMTEN	"bejegyzs"
#define	E_MEMTIN	"utasts"
#define	E_LINETX	" a %s file %d-ik sorban\n"
#define	E_MACRTX	" a %s makrban\n"
#define	E_INCLTX	"includlva"
#define	E_INVOTX	"invoklva"

#define	E_OUTMEM	elin, "Elfogyott a memria"
#define	E_ORGLAB	elin, "A %s ORG cmkenek mg nincs rtke"
#define	E_UNDMAC	elin, "A %s macro nem definilt"
#define	E_UNDSYM	elin, "A %s szimblum nem definilt"
#define	E_MEMADR	elin, "Tartomnyon kvli memria cm"
#define	E_BCCVAL	elin, "Az ugrsi felttel 1 vagy 0 kell legyen"
#define	E_MERSRC	elin, "A read_mer hasznlathoz az A forrs #0 kell legyen"
#define	E_IMMDAT	elin, "Immediate adat 0 s 255 kztt kell legyen"
#define	E_CSTRNG	elin, "Ebben a krnyezetben csak %d llhat"
#define	E_CSTSET	elin, "Csak 0, 1, 0xffff, 0x8000 vagy max megengedett"
#define	E_CSTBOL	elin, "Az indulsi felttel rtke csak 0 vagy 1 lehet"
#define	E_INSFRM	elin, "A %s mez hasznlata tkzik mr hasznlt mezkvel"
#define	E_FLDSET	elin, "A %s mez mr rtket kapott"
#define	E_INTERN	elin, "Assembler bels hiba"
#define	E_MULMAC	elin, "A %s macro mr definilt"
#define	E_ORGVAL	elin, "A 0x%x ORG rtk a [0,0x%03x] tartomnyon kvl van"
#define	E_ORGBCK	elin, "A 0x%x ORG rtk a uPC-t (0x%03x) visszalltja"
#define	E_MEMTYP	elin, "A memria mrete mr be lett lltva %d szra"
#define	E_MEMUNS	elin, "A memria mrete mg nincs belltva"
#define	E_ENFUNC	elin, "A bejegyzs funkciszma nincs belltva s nincs rvnyes alaprtelmezs"
#define	E_ENADDR	elin, "A bejegyzshez nincs kezdcm megadva"
#define	E_ENHSRX	elin, "Bejegyzsekben a HSRx kondicik megadsa ktelez"
#define	E_MEMFUL	elin, "A 0x%03x cmen a memriban mr van egy %s"
#define	E_LSRIGN	elin, "Ezekben a host control llapotokban a LSR felttel figyelmen kvl marad"
#define	E_MTSIGN	elin, "Ezekben a host control llapotokban a M/TSR felttel figyelmen kvl marad"
#define	E_PINIGN	elin, "Ezekben a host control llapotokban a PIN felttel figyelmen kvl marad"
#define	E_FLGIGN	elin, "Ezekben a host control llapotokban a FLAG0 felttel figyelmen kvl marad"
#define	E_EFUNNO	elin, "A funkciszmnak 0 s 15 kztt kell lennie"
#define	E_EFUNST	elin, "A bejegyzs funkciszma mr definilt"
#define	E_ESTRTM	elin, "A bejegyzs kezdcme mr definlt"
#define	E_EINVST	elin, "A 0x%x kezdcm nem esik 0 s 0x%03x kz"
#define	E_EMENAM	elin, "A bejegyzsben a match control mr be volt lltva"
#define	E_EFLDST	elin, "A %s indulsi felttel mr be volt lltva"
#define	E_ERAMSM	elin, "Paramter eltlts mr be volt lltva a bejegyzsben"
#define	E_MULINC	elin, "A %s filet mr beolvastam"
#define	E_MAXUPC	elin, "A 0x%03x uPC rtk a megengedett 0x%03x fltt van"
#define	E_MULSYM	elin, "A %s cimke mr definilt: 0x%03x"
#define	E_FOPENE	elin, "A %s file-t nem tudom megnyitni"
#define	E_BUSCON	elin, "Busztkzs a %s file %dik sorbl generlt utasts miatt"
#define	E_AURDMR	elin, "Az adott operandus kombinci mellett a read_mer opci nem engedlyezett" 
#define	E_PARSER	elin, "Parser hiba: %s"
#define	E_EOFCOM	elin, "File vge megjegyzs kzben"
#define	E_PARMT1	elin, "TPU1-en a %d csatorna %d paramtere a 0. paramterrel azonos"
#define	E_INVENT	elin, "A HSRx, LSR es M/TSR feltetelek kzl legalbb egynek 1-nek kell lennie"
#define	E_RECMAC	elin, "Rekurziv makr hvs: %s"
#define	E_SHRCNF	elin, "Ha a shift regiszter az ALU cl, shiftels nem specifiklhat"
 
#endif

#ifdef	GERMAN

#define	E_MEMTEN	"Eintrag"
#define	E_MEMTIN	"Instruktion"
#define	E_LINETX	" in Datei %s, Zeile %d\n"
#define	E_MACRTX	" in Makro %s\n"
#define	E_INCLTX	"erfolgt include von"
#define	E_INVOTX	"erfolgt Aufruf von"

#define	E_OUTMEM	elin, "Kein freier Speicher mehr"
#define	E_ORGLAB	elin, "ORG Bezeichner %s hat noch keinen Wert"
#define	E_UNDMAC	elin, "Undefiniertes Macro %s"
#define	E_UNDSYM	elin, "Undefiniertes Symbol %s"
#define	E_MEMADR	elin, "Speicheradresse liegt auerhalb des zulssigen Wertebereiches"
#define	E_BCCVAL	elin, "Wert fr bedingte Verzweigung mu 1 oder 0 sein" 
#define	E_MERSRC	elin, "Der read_mer Unterbefehl erfordert, da Asrc #0 ist"
#define	E_IMMDAT	elin, "Immediate data mu zwischen 0 und 255 liegen"
#define	E_CSTRNG	elin, "Nur %d ist in diesem Zusammenhang erlaubt"
#define	E_CSTSET	elin, "Nur 0, 1, 0xffff, 0x8000 oder max sind erlaubt"
#define	E_CSTBOL	elin, "Wert fr Startbedingung mu 0 oder 1 sein"
#define	E_INSFRM	elin, "Abgeleitetes Befehlsformat schliet Feld %s aus"
#define	E_FLDSET	elin, "Feld %s ist schon gesetzt"
#define	E_INTERN	elin, "Interner Assembler-Fehler"
#define	E_MULMAC	elin, "Makro %s ist schon definiert"
#define	E_ORGVAL	elin, "ORG Wert 0x%x liegt auerhalb des zulssigen Wertebereiches [0,%d]"
#define	E_ORGBCK	elin, "ORG Wert 0x%x setzt uPC (0x%03x) zurck"
#define	E_MEMTYP	elin, "Speichergre ist bereits auf %d Worte gesetzt"
#define	E_MEMUNS	elin, "Speichergre ist noch nicht definiert"
#define	E_ENFUNC	elin, "Funktionsnummer ist nicht bestimmt und keine Voreinstellung ist wirksam"
#define	E_ENADDR	elin, "Startadresse nicht spezifiziert"
#define	E_ENHSRX	elin, "HSRx condition Bits mssen bestimmt sein"
#define	E_MEMFUL	elin, "Speicheradresse 0x%03x ist schon belegt durch ein %s"
#define	E_LSRIGN	elin, "In diesen host control states wird der LSR Zustand ignoriert"
#define	E_MTSIGN	elin, "In diesen host control states wird der M/TSR Zustand ignoriert"
#define	E_PINIGN	elin, "In diesen host control states wird der PIN Zustand ignoriert"
#define	E_FLGIGN	elin, "In diesen host control states wird der FLAG0 Zustand is ignored"
#define	E_EFUNNO	elin, "Funktionsnummern mssen zwischen 0 und 15 liegen"
#define	E_EFUNST	elin, "Funktion ist schon definiert"
#define	E_ESTRTM	elin, "Startadresse ist schon definiert"
#define	E_EINVST	elin, "Startadresse 0x%x liegt auerhalb des zulssigen Bereiches [0,0x%03x]"
#define	E_EMENAM	elin, "Match control ist in diesem Eintrag schon gesetzt worden"
#define	E_EFLDST	elin, "Das %s start condition field wurde schon gesetzt"
#define	E_ERAMSM	elin, "Parameter preload wurde schon gesetzt"
#define	E_MULINC	elin, "Datei %s wurde bereits inkludiert"
#define	E_MAXUPC	elin, "Aktueller Wert des uPC von 0x%03x berschreitet das Maximum von 0x%03x"
#define	E_MULSYM	elin, "Label %s ist schon definiert: %d"
#define	E_FOPENE	elin, "Kann Datei %s nicht ffnen"
#define	E_BUSCON	elin, "Buskonflikt durch Befehl in %s, Zeile %d"
#define	E_AURDMR	elin, "Die Kombination der Operanden lt die read_mer Option nicht zu" 
#define	E_PARSER	elin, "Nicht behebbarer Fehler beim Parsen von : %s"
#define	E_EOFCOM	elin, "Dateiende in einem Kommentar"
#define	E_PARMT1	elin, "Auf TPU1 auf Kanal %d greift Parameter %d auf Parameter 0 zu"
#define	E_INVENT	elin, "Mindestens eine HSRx, LSR and M/TSR condition mu 1 sein"
#define	E_RECMAC	elin, "Rekursiver Makroaufruf: %s"
#define	E_SHRCNF	elin, "Shift ist angegeben und SR ist Ziel der ALU"

#endif /* GERMAN */

#endif
