/****************************************************************************/
/*			  Motorola Time Processor Unit microcode assembler 				*/
/****************************************************************************/
/*																			*/
/*	Copyright 1998, (c) Bendor Research Pty. Ltd.							*/
/*																			*/
/*	This file is under the GNU General Public License.						*/
/*	See LICENSE for details.												*/
/*																			*/
/****************************************************************************/
/*																			*/
/*	This file contains the (pritmitive) symbol table of the assembler.		*/
/*																			*/
/****************************************************************************/
/*																			*/
/*	Changelog:																*/
/*																			*/
/*	30/04/98	Kocsonya		Alpha version								*/
/*																			*/
/****************************************************************************/

#include "tpuasm.h"

/****************************************************************************/
/*						Local data											*/
/****************************************************************************/

static	IDENT	*ident = NULL;
static	int		id = 1;

/****************************************************************************/
/*						Public functions									*/
/****************************************************************************/

/*
*	Searches for a label by name.
*	If not found, allocates a new entry (creates a label)
*	and initialises it to unset.
*/


IDENT	*IdentLookup( char *s )
{
IDENT	*p;
int		i;

	for ( p = ident ; p ; p = p->next ) {
	
		if ( strlen( s ) != strlen( p->name ) ) continue;
		
		for ( i = 0 ; i < strlen( s ) ; i++ )
		
			if ( toupper( s[ i ] ) != toupper( p->name[ i ] ) ) break;
		
		if ( ! s[ i ] ) break;
	}
	
	if ( ! p ) {
	
		if ( ! ( p = malloc( sizeof( IDENT ) ) ) ||
			 ! ( p->name = malloc( strlen( s ) + 1 ) ) ) {
			 
			FatalError(( E_OUTMEM ));
		}
		
		strcpy( p->name, s );
		p->value  = 0;
		p->id     = id++;
		p->next   = ident;
		p->is_set = False;
		ident     = p;
	}
	
	return( p );
}

/*
*	Looks up an identifier by its number
*/

IDENT	*IdentById( int id )
{
IDENT	*p;

	for ( p = ident ; p ; p = p->next )
	
		if ( p->id == id ) 
		
			break;
			
	if ( ! p ) {
	
		FatalError(( E_INTERN ));
	}
	
	return( p );
}

/*
*	Sets the PC for an identifier that's been defined
*/

void	IdentSet( IDENT *ident, int val )
{
	if ( ident->is_set == True ) {
	
		IssueError(( E_MULSYM, ident->name, ident->value ));
	}
	else {
	
		ident->is_set = True;
		ident->value  = val;
	}
}
