/****************************************************************************/
/*			  Motorola Time Processor Unit microcode assembler 				*/
/****************************************************************************/
/*																			*/
/*	Copyright 1998, (c) Bendor Research Pty. Ltd.							*/
/*																			*/
/*	This file is under the GNU General Public License.						*/
/*	See LICENSE for details.												*/
/*																			*/
/****************************************************************************/
/*																			*/
/*	This is the usage text for  the assembler.								*/
/*																			*/
/****************************************************************************/
/*																			*/
/*	Changelog:																*/
/*																			*/
/*	12/05/98	Zoltan Kocsi	Alpha version								*/
/*																			*/
/****************************************************************************/

#ifdef ENGLISH

"Motorola Time Processor Unit Microcode Assembler\n\n"
"Usage: %s options file1 file2 ... fileN\n\n"
"File1..N are source files which are read in the order they are in the \n"
"command line. The filename '-' represents the standard input.\n\n"
"Options:\n\n"
"-I dir\n--include dir\n"
"\tAppends 'dir' to the include seach path. The search path initially\n"
"\tcontains '.' (current working dir) only. The '.' can not be removed\n"
"\tfrom the beginning of the path. Only include files are looked for in\n"
"\tthe path, source files must be either in '.' or have full pathname.\n\n"
"-s filename\n--srecfile filename\n"
"\tSets the name of the resulting S-record file. If the filename is\n"
"\t'-' then the standard output will be used. If the option is not\n"
"\tspecified, S-records are not generated.\n\n"
"-c filename\n--cincfile filename\n"
"\tSets the name of the resulting C include file. If the filename is\n"
"\t'-' then the standard output will be used. If the option is not\n"
"\tspecified, C include data is not generated.\n\n"
"-a\n--alternate\n"
"\tGenerates alternate C include file format (see manpage)\n\n"
"-l filename\n--listfile filename\n"
"\tSets the name of the assembler listfile. If the filename is\n"
"\t'-' then the standard output will be used. If the option is not\n"
"\tspecified, no listfile is generated.\n\n"
"-m\n--listmacro\n"
"\tIf given, then in the listfile macros will be expanded. If not given,\n"
"\tmacros are listed as in the original source.\n\n"
"-t N\n--tabsize N\n"
"\tIn the lisfile tabulators are substituted by spaces, this option sets\n"
"\tthe tabulator size. Default is 8. Valid range is 2-16.\n\n"
"-w N\n--listwidth N\n"
"\tSets the max. number of characters that are copied from each source\n"
"\tline to the listfile. This is not the width of the listfile !\n"
"\tDefault is maxint (no truncation at all), valid range is 1-maxint.\n\n"
"-M [256|512]\n--memsize [256|512]\n"
"\tAlthough Motorola states that usage of the %%type directive is\n"
"\tmandatory, they don't use it in their public maskset source. This\n"
"\toption allows you to set the TPU memory to be 256 or 512 words.\n"
"\tThis parameter is vital for the assembly so you must specify it\n"
"\teither on the command line or in your source. You must not\n"
"\tspecify it in both.\n\n"
"-B N\n--srecbase N\n"
"\tSets the base address for the S-records. Decimal or hexadecimal numbers\n"
"\t(with a leading 0x) are both accepted.\n\n" 
"-S N\n--srectype N\n"
"\tSets the default S-record type. Valid values are 1,2 or 3.\n"
"\tThe default is 1.\n\n"
"-W N\n--srecwidth N\n"
"\tSets the number of data bytes per S-records. Default is 28.\n"
"\tValid range is 1-128\n\n"
"-V\n--version\n"
"\tPrints the version information to the standard output and exits.\n\n"

#endif

#ifdef HUNGARIAN

"Motorola Time Processor Unit Microcode Assembler\n\n"
"Hasznlata: %s opcik file1 file2 ... fileN\n\n"
"File1..N a forrs fileok amik a parancssorbeli sorrendben kerlnek\n"
"beolvassra. A '-' nv a szabvnyos bemenetnek felel meg.\n\n"
"Opcik:\n\n"
"-I dir\n--include dir\n"
"\tA 'dir' knyvtrat hozzteszi az include keressi thoz. Kezdetben az\n"
"\tt csak a '.'-bl (pillanatnyi munkaknyvtr) ll. A '.'-ot nem lehet\n"
"\ta keressi t elejrl levenni. Csak az include fileokat keresi az\n"
"\tton, a forrsfileok vagy a '.'-ban kell legyenek vagy a teljes\n"
"\telrsi tjukat meg kell adni.\n\n"
"-s filename\n--srecfile filename\n"
"\tBelltja az eredmny S-rekord file nevt. Ha a filenv '-' akkor\n"
"\taz eredmny a szabvnyos kimeneten kerl kirsra. Ha az opci nincs\n"
"\tmegadva, nem generl S-rekordokat.\n\n"
"-c filename\n--cincfile filename\n"
"\tBelltja az eredmny C include file nevt. Ha a filenv '-' akkor\n"
"\taz eredmny a szabvnyos kimeneten kerl kirsra. Ha az opci nincs\n"
"\tmegadva, nem generl C include filet.\n\n"
"-a\n--alternate\n"
"\tAlternatv C include file formtum generls (rszletek a manulban)\n\n"
"-l filename\n--listfile filename\n"
"\tBelltja a listafile nevt. Ha a filenv '-' akkor\n"
"\ta lista a szabvnyos kimeneten kerl kirsra. Ha az opci nincs\n"
"\tmegadva, nem generl listt.\n\n"
"-m\n--listmacro\n"
"\tHa ez az opci szerepel, akkor a listafileba a makrk kifejtve kerlnek\n"
"\tbe, egybknt eredeti formjukban, ahogy a forrsban szerepeltek.\n\n"
"-t N\n--tabsize N\n"
"\tA listafileban a tabultorokat helyettest szkzk szma\n"
"\tadhat meg az opcival. Alaprtelmezs 8. rvnyes tartomny 2-16.\n\n"
"-w N\n--listwidth N\n"
"\tBelltja, hogy a forrsbl a listafileba rt sorokbl max. hny karakter\n"
"\tkerl tvitelre. Ez nem a listafile szlessge !\n"
"\tAlaprtelmezs maxint (nincs csonkts), rvnyes tartomny 1-maxint.\n\n"
"-M [256|512]\n--memsize [256|512]\n"
"\tBr a Motorola lltja, hogy a %%type direktva hasznlata ktelez,\n"
"\ta publikus maszk forrsokban mgsem hasznljk. Ez az opci lehetv\n"
"\tteszi a TPU memria mretnek 256 vagy 512 szra lltst. Ez a\n"
"\tparamter az assemblernek alapvet fontossg ezrt mindenkppen meg\n"
"\tkell adni vagy a forrsban vagy a parancssorban, de nem mindkettben\n"
"\t(ez utbbi hibazenethez vezet).\n\n"
"-B N\n--srecbase N\n"
"\tBelltja az S-record bziscmt. Decimlis vagy hexadecimlis szmot\n"
"\tfogad el, a hexa szmot a 0x eltag jelli.\n\n" 
"-S N\n--srectype N\n"
"\tBelltja az S-rekord tipust. rvnyes rtkek 1,2 vagy 3.\n"
"\tAz alaprtelmezs 1.\n\n"
"-W N\n--srecwidth N\n"
"\tBelltja az adatbyteok szmt az S-rekordban. Az alaprtelmezs 28.\n"
"\trvnyes tartomny 1-128\n\n"
"-V\n--version\n"
"\tKirja a verziszmot a szabvnyos kimeneten s kilp.\n\n"

#endif

#ifdef GERMAN

"Motorola Time Processor Unit Microcode Assembler\n\n"
"Aufruf: %s Optionen file1 file2 ... fileN\n\n"
"file1..N sind Quellcode-Dateien, die in der Reihenfolge ihres Auftretens\n"
"in der Kommandozeile gelesen werden.\n"
"Der Dateiname '-' reprsentiert standard input.\n\n"
"Optionen:\n\n"
"-I dir\n--include dir\n"
"\tFgt 'dir' an die Liste der Include-Suchpfade an. Initial besteht die\n"
"\tListe nur aus '.' (dem aktuellen Verzeichnis). Der Pfad '.' kann nicht\n"
"vom Anfang der Liste entfernt werden. In den Include-Pfaden wird nur\n"
"\tnach Include-Dateien gesucht, Sourcefiles mssen entweder in '.' \n"
"\tstehen oder mit vollstndigem Pfad angegeben werden.\n\n"
"-s filename\n--srecfile filename\n"
"\tBestimmt den Namen der resultierenden S-Record-Datei. Ist als\n"
"\tDateiname '-' angegeben, wird standard output verwendet. Falls die\n"
"\tOption nicht angegeben ist, werden keine S-records erzeugt.\n\n"
"-c filename\n--cincfile filename\n"
"\tBestimmt den Namen der resultierenden C-Quellcode-Datei. Ist als\n"
"\tDateiname '-' angegeben, wird standard output verwendet. Falls die\n"
"\tOption nicht angegeben ist, wird kein C-Code erzeugt.\n\n"
"-a\n--alternate\n"
"\tSelektiert das alternative Format der C-Include-Datei (siehe manpage)\n\n"
"-l filename\n--listfile filename\n"
"\tBestimmt den Namen des Assembler-Listfiles. Ist als\n"
"\tDateiname '-' angegeben, wird standard output verwendet. Falls die\n"
"\tOption nicht angegeben ist, wird kein Listing erzeugt.\n\n"
"-m\n--listmacro\n"
"\tBei Angabe dieser Option werden Makros bei der Ausgabe in ein\n"
"\tListfile expandiert. Ohne diese Option erfolgt die Ausgabe von\n"
"\tMakros im Listing wie im Quellcode angegeben.\n\n"
"-t N\n--tabsize N\n"
"\tIm Listfile werden Tabulatorzeichen durch Leerzeichen ersetzt.\n"
"\tDiese Option bestimmt die Anzahl der Leerzeichen fr ein Tab.\n"
"\tDer Standard ist 8. Der zulssige Wertebereich ist 2 bis 16.\n\n"
"-w N\n--listwidth N\n"
"\tBestimmt die maximale Anzahl von Zeichen in einer Quellcodezeile,\n"
"\tdie in das Listfile kopiert werden. Dies ist nicht die Spaltenanzahl\n"
"\tim Listfile !\n"
"\tVoreinstellung ist maxint (keine Begrenzung), der zulssige\n"
"\tWertebereich ist 1 bis maxint.\n\n"
"-M [256|512]\n--memsize [256|512]\n"
"\tObwohl Motorola behauptet, der Gebrauch der %%type Direktive sei\n"
"\tzwingend erforderlich, verwenden sie es selbst nicht in den public\n"
"\tmaskset sources. Diese Option erlaubt es, die Gre des TPU-Speichers\n"
"\tauf 256 oder 512 Worte zu setzen.\n"
"\tDieser Parameter ist unbedingt notwendig fr die Assemblierung,\n"
"\tdeshalb mu die Angabe entweder in der Kommandozeile oder im\n"
"\tQuellcode erfolgen, jedoch nicht in beiden.\n\n"
"-B N\n--srecbase N\n"
"\tBestimmt die Startadresse fr die S-Records. Angaben sind in dezimaler\n"
"\toder hexadezimaler Schreibweise (mit vorangestelltem 0x) erlaubt.\n\n" 
"-S N\n--srectype N\n"
"\tBestimmt den S-Record-Typ der erzeugten Datei. Erlaubte Werte \n"
"\tsind 1,2 oder 3.\n"
"\tDie Voreinstellung ist 1.\n\n"
"-W N\n--srecwidth N\n"
"\tBestimmt die Anzahl der Datenbytes pro S-Record. Die Voreinstellung\n"
"\tist 28. Der zulssige Wertebereich ist 1 bis 128\n\n"
"-V\n--version\n"
"\tGibt die Versionsinformation auf standard output aus und beendet\n"
"\tdie Programmausfhrung.\n\n"

#endif /* GERMAN */

